curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/scoreScales/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scoreScale": {
"status": "active",
"title": "<string>",
"type": "<string>",
"class": {
"sourcedId": "<string>"
},
"scoreScaleValue": [
{
"itemValueLHS": "<string>",
"itemValueRHS": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"course": {
"sourcedId": "<string>"
}
}
}
'{
"scoreScale": {
"status": "active",
"title": "<string>",
"type": "<string>",
"class": {
"sourcedId": "<string>"
},
"scoreScaleValue": [
{
"itemValueLHS": "<string>",
"itemValueRHS": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"course": {
"sourcedId": "<string>"
}
}
}To update an existing scoreScale or create a new one if it doesn’t exist. The sourcedId for the record is supplied by the requesting system.
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/scoreScales/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scoreScale": {
"status": "active",
"title": "<string>",
"type": "<string>",
"class": {
"sourcedId": "<string>"
},
"scoreScaleValue": [
{
"itemValueLHS": "<string>",
"itemValueRHS": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"course": {
"sourcedId": "<string>"
}
}
}
'{
"scoreScale": {
"status": "active",
"title": "<string>",
"type": "<string>",
"class": {
"sourcedId": "<string>"
},
"scoreScaleValue": [
{
"itemValueLHS": "<string>",
"itemValueRHS": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"course": {
"sourcedId": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the score scale
Represents a score scale.
Show child attributes
Score scale successfully created or updated
Represents a score scale.
Show child attributes